import nltk
from stop_words import get_stop_words
#from nltk.corpus import stopwords
from nltk.tokenize import word_tokenize

# Przykładowy tekst
text = ("To jest przykładowy tekst, który będzie poddany tokenizacji i usunięciu stopwordsów. Na sam początek będzie to dość prosty dokument, pozbawiony sensu i treści, ale ilustrujący zasadę użycia tej bazy")

tokens = word_tokenize(text, language='polish') # Tokenizacja tekstu
#stopwords = get_stop_words('polish')     # Zapisanie stopwords
stopwords = set(stopwords.words())
#stopwords = set(stopwords.words('polish'))

# Usunięcie stopwords
t1  = [word for word in tokens if word.lower() not in stopwords] # List comprehension
t2  = [word for word in tokens if word.lower() in stopwords]     # List comprehension

# Wyświetlenie wyników
print("Tekst oryginalny:")
print(text)
print("\nTokeny po tokenizacji:")
print(tokens)
print("\nWykryte stopwords:\n")
print(t2)
print("\nTokeny po usunięciu stopwords:")
print(t1)



